VariableMapperImpl (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.el.lang

## Class VariableMapperImpl

- java.lang.Object
- - javax.el.VariableMapper
  - - org.apache.el.lang.VariableMapperImpl

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public class VariableMapperImpl
      extends VariableMapper
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableMapperImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readExternal​(java.io.ObjectInput in)` |
    `ValueExpression` | `resolveVariable​(java.lang.String variable)` |
    `ValueExpression` | `setVariable​(java.lang.String variable, ValueExpression expression)` |
    `void` | `writeExternal​(java.io.ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapperImpl

          public VariableMapperImpl()

  - ### Method Detail

    - #### resolveVariable

          public ValueExpression resolveVariable​(java.lang.String variable)

      Specified by:
        `resolveVariable` in class `VariableMapper`

    - #### setVariable

          public ValueExpression setVariable​(java.lang.String variable,
                                             ValueExpression expression)

      Specified by:
        `setVariable` in class `VariableMapper`

    - #### readExternal

          public void readExternal​(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`